org.eclipse.ecf.remoteservice.client

## Class RemoteCallParameter.Builder

- java.lang.Object
- - org.eclipse.ecf.remoteservice.client.RemoteCallParameter.Builder

Enclosing class:
  RemoteCallParameter

    public static class RemoteCallParameter.Builder
    extends Object

Since:
  8.5

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RemoteCallParameter.Builder` `addParameter(IRemoteCallParameter param)`
`RemoteCallParameter.Builder` `addParameter(String name)`
`RemoteCallParameter.Builder` `addParameter(String name, Object defaultValue)`
`IRemoteCallParameter[]` `build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### addParameter

    public RemoteCallParameter.Builder addParameter(String name,
                                                    Object defaultValue)

#### addParameter

    public RemoteCallParameter.Builder addParameter(String name)

#### addParameter

    public RemoteCallParameter.Builder addParameter(IRemoteCallParameter param)

Parameters:
  `param` - remote call parameter to add
Returns:
  Builder the builder
Since:
  8.8

#### build

    public IRemoteCallParameter[] build()